<%

' EasyBlogAsp - the easiest Blog and news script to set up in the world!
' Hand written by SamHS, for dotdragnet.co.uk - copyright retained on the 
' original script by hampton-smith.com who grants you permission to use the script.
' You may alter and distribute this script - so long as you retain the copyright notices
' For support or help, do not email dotdragnet or the author, any support emails
' will be ignored. Instead, visit the forums at http://www.dotdragnet.co.uk/forum


' You are free to update this script and customise it to your own
' needs, but you must retain all copyright notices in place, and
' you must maintain the link on the blog to dotdragnet. The only
' exception to this is where you make a donation to dotdragnet, 
' whereby I will grant you rights to remove copyright notices within
' the script. Please note, however, that all copyright remains with 
' the author, and any derivative works must also carry the original 
' license terms as per easyblogadmin.asp. No part of this script can
' be sold without express prior permission from the author.
' For more information on making a donation to dotdragnet, see the 
' "help me!" section of the admin page.


' ##################################################################
' ##################################################################
' ## 								  ##
' ##  CUSTOMISING THIS CODE TO MAKE USE OF SPECIFIC "BLOG" CODE   ##
' ## 								  ##
' ##  This script has been designed to be upgradable, see below	  ##
' ## 								  ##
' ##################################################################
' ##################################################################


' The following two functions, blogencode and blogdecode allow
' you to customise this script to replace certain elements of
' any blogs posted with an equivilent code. For example you could
' introduce a standard piece of text into the blog by simply putting:
' "[standard]" - but you need to add a couple of lines to the functions
' to acheive this. 
'
' For example you could add to the function blogencode:
'
' thestring=replace(thestring, "[standard]", "This is some standard text")
'
' this would mean every place in your blog you put [standard] 
' it will be replaced with the text "this is some standard text"
' NOTE: You should also include the reverse code in blogdecode 
' to return the entry to how you entered it should you wish to edit
'
' thestring=replace(thestring, "This is some standard text", "[standard]")
'
' This action reverses the original "encoding", and will make for 
' easier edits.
'
'
'
' ##################################################################
' ##################################################################
' ## 								  ##
' ## THE FOLLOWING FUNCTIONS ALLOW FOR IMPLEMENTATION OF BLOGCODE ##
' ## 		ALTER THESE FUNCTIONS AT YOUR OWN RISK!		  ##
' ## 								  ##
' ##################################################################
' ##################################################################

function blogencode(thestring)
' the following prevent the script from breaking when particular
' characters are used - do not remove!
	thestring=Replace(thestring, """", "&#34;")
	thestring=Replace(thestring, "'", "&#39;")
	thestring=Replace(thestring, "%", "&#37;")
	thestring=Replace(thestring, "*", "&#42;")
	thestring=Replace(thestring, vbcrlf, "<br />")
	thestring=encodesmileys(thestring)
	blogencode=thestring
end function

' ######## RETURN <BR/> TO VB CARRIAGE RETURNS FOR FORMS #########
function blogdecode(thestring)
	thestring=decodesmileys(thestring)
	thestring=Replace(thestring, "<br />", vbcrlf)
	blogdecode=thestring
end function

' ##################################################################
' ##################################################################
' DO NOT ALTER BELOW THIS LINE
' ##################################################################
' ##################################################################
function encodesmileys(thestring)
	blogfile = Server.MapPath("smileys.txt")
	Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	Set objCountFile = objFSO.OpenTextFile(blogfile, 1, True)
	news = objCountFile.ReadAll
	objCountFile.Close
	Set objCountFile = Nothing	
	Set objFSO = Nothing
	smileycount=Split(news, "**")
	For i=1 to Ubound(smileycount)
		breakout=split(smileycount(i), "%%%")
		thestring=replace(thestring, breakout(1), "<img border=""0"" src=""" & breakout(2) & """ />")
	Next
	encodesmileys=thestring
End Function

function decodesmileys(thestring)
	blogfile = Server.MapPath("smileys.txt")
	Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	Set objCountFile = objFSO.OpenTextFile(blogfile, 1, True)
	news = objCountFile.ReadAll
	objCountFile.Close
	Set objCountFile = Nothing	
	Set objFSO = Nothing
	smileycount=Split(news, "**")
	For i=1 to Ubound(smileycount)
		breakout=split(smileycount(i), "%%%")
		thestring=replace(thestring, "<img border=""0"" src=""" & breakout(2) & """ />", breakout(1))
	Next
	decodesmileys=thestring
End Function	

Sub toptable
%>
<table width="100%" cellpadding=3>
<%
End Sub

Sub bottomtable
%>
<style>
.legal {
	display: block;
	color: #000000;
	}
</style>
<tr>
	<td class="legal" colspan=2>Powered by <a target="_blank" href="http://www.dotdragnet.co.uk">dotdragnet</a></td>
</tr>
</table>
<%
End Sub

Sub topadtable
%>
<table width="100%" cellpadding=3>
<tr><td colspan=4 class="header">Ynetici Alan</td></tr>
<%
End Sub

Sub bottomadtable
%>
<tr>
	<td class="legal" colspan=4>Powered by <a target="_blank" href="http://www.dotdragnet.co.uk">dotdragnet</a> / Trkeletiren <a target="_blank" href="http://www.gezginler.net">Gezginler</a></td>
</tr>
</table>
<%
End Sub

Function passwordchecker()
		URL = Request.ServerVariables("SCRIPT_NAME")
		if request.form("button") = "log-out" then
			session("password")=""
			session("logon")=""
		end if
		if session("logon") = "true" then 
			' session set ok, load page
			session("logon")="true"
			displaypage
		else
			if request.form("password") = "" then
				' form not posted and session not set, display logon box
				displaylogon
			else
				' something posted, check it
				session("password") = request.form("password")
				if session("password") = password then 
					' session set ok, load page
					session("logon")="true"
					displaypage
				else
					displaylogon
				end if
			end if
		end if
End function

function displaylogout()
%>
<tr>
	<td colspan="4">
        <form method="POST" >
                 <input type="submit" value="k" class="adminbuttons" name="button">
        </form>
	</td>
</tr>
<%
end function

function displaylogon()
topadtable
%>
<tr>
	<td colspan="4">
        <form method="POST">
		Bu alana girmeniz iin ifrenizi yazmanz gerekli:<br>
		<input type="password" name="password" size=20><br>
		<input type="submit" value="Giri" class="adminbuttons" name="button">
        </form>
	</td>
</tr>
<%
bottomadtable
end function

%>
